Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webrender.servermessage
Class EventProcessor

    java.lang.Object
      nextapp.echo2.webrender.servermessage.EventProcessor

    public class EventProcessor

extends java.lang.Object

A utility class to add `EchoEventProcessor` message parts to the `ServerMessage`. `EchoEventProcessor` message parts are used to register/unregister client-side event listeners.

Constructor Summary
`EventProcessor()`

Method Summary
`static void` | `renderEventAdd(ServerMessage serverMessage, java.lang.String eventType, java.lang.String elementId, java.lang.String eventHandler)` Creates an `event-add` operation to register a client event listener of a particular type on an HTML element.
`static void` | `renderEventRemove(ServerMessage serverMessage, java.lang.String eventType, java.lang.String elementId)` Creates an `event-remove` operation to unregister a client event listener of a particular type on an HTML element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventProcessor

    public EventProcessor()

Method Detail

### renderEventAdd

    public static void renderEventAdd(ServerMessage serverMessage,
                                      java.lang.String eventType,
                                      java.lang.String elementId,
                                      java.lang.String eventHandler)

  Creates an `event-add` operation to register a client event listener of a particular type on an HTML element.

  Parameters:
    `serverMessage` - the outgoing `ServerMessage`
    `eventType` - the type of event (the "on" prefix should be omitted, e.g., "onmousedown" would be expressed as "mousedown")
    `elementId` - the id of the listened-to DOM element
    `eventHandler` - the name of the handler method to be invoked when the event occurs, e.g., "EchoButton.processAction"

### renderEventRemove

    public static void renderEventRemove(ServerMessage serverMessage,
                                         java.lang.String eventType,
                                         java.lang.String elementId)

  Creates an `event-remove` operation to unregister a client event listener of a particular type on an HTML element.

  Parameters:
    `serverMessage` - the outgoing `ServerMessage`
    `eventType` - the type of event (the "on" prefix should be omitted, e.g., "onmousedown" would be expressed as "mousedown")
    `elementId` - the id of the listened-to DOM element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD